## org.apache.cassandra.db
Enum SystemTable.BootstrapState

    java.lang.Object
      java.lang.Enum<SystemTable.BootstrapState>
          org.apache.cassandra.db.SystemTable.BootstrapState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SystemTable.BootstrapState>

Enclosing class:
  SystemTable

    public static enum SystemTable.BootstrapState

extends java.lang.Enum<SystemTable.BootstrapState>

Enum Constant Summary
`COMPLETED`
`IN_PROGRESS`
`NEEDS_BOOTSTRAP`

Method Summary
`static SystemTable.BootstrapState` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SystemTable.BootstrapState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NEEDS_BOOTSTRAP

    public static final SystemTable.BootstrapState NEEDS_BOOTSTRAP

### COMPLETED

    public static final SystemTable.BootstrapState COMPLETED

### IN_PROGRESS

    public static final SystemTable.BootstrapState IN_PROGRESS

Method Detail

### values

    public static SystemTable.BootstrapState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SystemTable.BootstrapState c : SystemTable.BootstrapState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SystemTable.BootstrapState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2013 The Apache Software Foundation